#! make -f
#----------------------------------------------------------------------------
# Project:  NT Manual Viewer - LibM2d - build - libraries - m2d
# File:     Makefile
#
# Copyright (C)2007-2009 Nintendo  All Rights Reserved.
#
# These coded instructions, statements, and computer programs contain
# proprietary information of Nintendo of America Inc. and/or Nintendo
# Company Ltd., and are protected by Federal copyright law.  They may
# not be disclosed to third parties or copied or duplicated in any form,
# in whole or in part, without the prior written consent of Nintendo.
#
# $Revision: 358 $
#----------------------------------------------------------------------------

SRCS		=	m2d_page.cpp				\
				m2d_pane.cpp				\
				m2d_picture.cpp				\
				m2d_window.cpp				\
				m2d_textBox.cpp				\
				m2d_texMap.cpp				\
				m2d_directTexture.cpp		\
				m2d_drawInfo.cpp			\
				m2d_resourceAccessor.cpp	\
				m2d_arcResourceAccessor.cpp	\
				m2d_common.cpp				\
				m2d_uiElement.cpp			\
				m2d_uiStatic.cpp			\
				m2d_uiPanel.cpp				\
				m2d_objButton.cpp			\
				m2d_scrollButton.cpp		\
				m2d_scrollIndicator.cpp		\
				m2d_manualTableOfContents.cpp	\
				m2d_manualTocPanel.cpp		\
				m2d_manualButton.cpp		\
				m2d_pageHeaderPanel.cpp		\
				m2d_textCanvasContext.cpp	\
				m2d_resG2dLoader.cpp		\
				m2d_objManager.cpp			\
				m2d_manualView.cpp			\
				m2d_pageView.cpp			\
				m2d_gamePad.cpp				\
				m2d_touchPanel.cpp			\
				m2d_soundManager.cpp		\
				m2d_manualViewer.cpp		\
				m2d_langInfo.cpp            \


TARGET_LIB	=	libntmvm2d$(NITRO_LIBSUFFIX).a


include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/commondefs

#----------------------------------------------------------------------------

ifdef	TWLMANUALTOOLS_PRIVATE
SUBDIRS		=	\
	dataSrc
endif

INSTALL_TARGETS	=	$(TARGETS)
INSTALL_DIR		=	$(TWLMANUALTOOLS_INSTALL_LIBDIR)

#----------------------------------------------------------------------------

do-build:		$(TARGETS)

include	$(TWLMANUALTOOLS_ROOT)/build/buildtools/modulerules


#===== End of Makefile =====
